Welcome to XDA

Search to go directly to your device's forum

Register an account

Unlock full posting privileges

Ask a question

No registration required
Post Reply

[Q] ViPER4Android in Stock-Based KitKat?

OP Vinardo_ZzZ 2000

1st June 2014, 01:47 PM   |  #1  
Vinardo_ZzZ 2000's Avatar
OP Senior Member
Flag Aperture Laboratories
Thanks Meter: 1,093
 
1,128 posts
Join Date:Joined: Mar 2013
Donate to Me
More
I've tried ViPER4Android in both XitROM and SphinX. On both of them, V4A doesn't work. After driver installation completed and restarted my device, it asks for driver installation again. But in audio_effects.conf, there's already V4A library path. The problem is, why the driver library is not loaded? And can V4A really be installed in these 2 ROMs? (I think it shouldn't work in stock too - I don't want to redownload a huge ROM)
Last edited by Vinardo_ZzZ 2000; 1st June 2014 at 05:30 PM.
1st June 2014, 05:30 PM   |  #2  
Senior Member
Thanks Meter: 188
 
916 posts
Join Date:Joined: Jul 2012
More
In the latest sphinxrom viper is working for me, never got it to work on previous versions.

Sent from my LG-E980 using Tapatalk
The Following User Says Thank You to luisoman2000 For This Useful Post: [ View ]
2nd June 2014, 06:06 AM   |  #3  
Vinardo_ZzZ 2000's Avatar
OP Senior Member
Flag Aperture Laboratories
Thanks Meter: 1,093
 
1,128 posts
Join Date:Joined: Mar 2013
Donate to Me
More
Quote:
Originally Posted by luisoman2000

In the latest sphinxrom viper is working for me, never got it to work on previous versions.

Sent from my LG-E980 using Tapatalk

I'm using SphinX 1.3 (20.4.14_20E) and I've tried XitROM 1.7 too. Doesn't work. What V4A version are you using? 2.3.3.0? And I've also tried all 3 quality modes (power saving, high audio quality, super audio quality). They all doesn't work
2nd June 2014, 10:21 AM   |  #4  
Senior Member
Thanks Meter: 188
 
916 posts
Join Date:Joined: Jul 2012
More
Quote:
Originally Posted by Vinardo_ZzZ 2000

I'm using SphinX 1.3 (20.4.14_20E) and I've tried XitROM 1.7 too. Doesn't work. What V4A version are you using? 2.3.3.0? And I've also tried all 3 quality modes (power saving, high audio quality, super audio quality). They all doesn't work

http://forum.xda-developers.com/show....php?t=2703029
I'm using the latest version from this thread, version 2.3.3.0. Tried high audio quality. I tried it on the previous version of this rom and it wouldn't work, i don't know what they did on the update but it fixed the drivers loop.

Sent from my LG-E980 using Tapatalk
The Following User Says Thank You to luisoman2000 For This Useful Post: [ View ]
2nd June 2014, 11:20 AM   |  #5  
Vinardo_ZzZ 2000's Avatar
OP Senior Member
Flag Aperture Laboratories
Thanks Meter: 1,093
 
1,128 posts
Join Date:Joined: Mar 2013
Donate to Me
More
Quote:
Originally Posted by luisoman2000

http://forum.xda-developers.com/show....php?t=2703029
I'm using the latest version from this thread, version 2.3.3.0. Tried high audio quality. I tried it on the previous version of this rom and it wouldn't work, i don't know what they did on the update but it fixed the drivers loop.

Sent from my LG-E980 using Tapatalk

Alright. It means I'm unlucky then. V4A doesn't work for me. I don't really know what the real problem is

EDIT: Will you do me a favor please? Can you check the MD5 of /system/lib/libeffects.so? Mine first 4 characters are 8922. What's yours?
Last edited by Vinardo_ZzZ 2000; 2nd June 2014 at 11:31 AM.
2nd June 2014, 12:53 PM   |  #6  
Senior Member
Thanks Meter: 188
 
916 posts
Join Date:Joined: Jul 2012
More
Quote:
Originally Posted by Vinardo_ZzZ 2000

Alright. It means I'm unlucky then. V4A doesn't work for me. I don't really know what the real problem is

EDIT: Will you do me a favor please? Can you check the MD5 of /system/lib/libeffects.so? Mine first 4 characters are 8922. What's yours?

8856. Are you using the latest build? It's. From may if im not mistaken.

Sent from my LG-E980 using Tapatalk
The Following User Says Thank You to luisoman2000 For This Useful Post: [ View ]
2nd June 2014, 01:26 PM   |  #7  
Vinardo_ZzZ 2000's Avatar
OP Senior Member
Flag Aperture Laboratories
Thanks Meter: 1,093
 
1,128 posts
Join Date:Joined: Mar 2013
Donate to Me
More
Quote:
Originally Posted by luisoman2000

8856. Are you using the latest build? It's. From may if im not mistaken.

Sent from my LG-E980 using Tapatalk

What? I've downloaded the latest... Maybe I'm wrong? I'll check it out! Thanks for replying with numbers other than 8922 . The different libeffects should be the problem
I see that the latest version there is GX 2.0 (17.5.14). It's my fault then . Thanks for reminding me... I'll try the latest build

EDIT: Thankfully, now it worked! And it's system-wide!!! Thanks again!
Last edited by Vinardo_ZzZ 2000; 2nd June 2014 at 04:16 PM.

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes